Bug 851738 - s-c-selinux - Warning: g_object_get_valist: object class `GnomeProgram' has no property named `default-icon'
s-c-selinux - Warning: g_object_get_valist: object class `GnomeProgram' has ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 19:47 EDT by Flóki Pálsson
Modified: 2012-08-28 01:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-28 01:56:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Flóki Pálsson 2012-08-24 19:47:58 EDT
Description of problem:


Version-Release number of selected component (if applicable):
policycoreutils-gui-2.1.12-5.fc18.x86_64

How reproducible:
always 

Steps to Reproduce:
1. $ system-config-selinux
2.
3.
  
Actual results:
[floki@F17tc3l ~]$ system-config-selinux
/usr/share/system-config-selinux/system-config-selinux.py:71: Warning: g_object_get_valist: object class `GnomeProgram' has no property named `default-icon'
  xml = gtk.glade.XML ("/usr/share/system-config-selinux/system-config-selinux.glade", domain=PROGNAME)
ERROR: policydb magic number 0x000008 does not match expected magic number 0xf97cff8c or 0xf97cff8d
ERROR: Unable to open policy /sys/fs/selinux/policy.
Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 186, in <module>
    app = childWindow()
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 91, in __init__
    self.add_page(domainsPage.domainsPage(xml)) # domains
  File "/usr/share/system-config-selinux/domainsPage.py", line 71, in __init__
    self.domains=polgen.get_all_domains()
  File "/usr/share/system-config-selinux/polgen.py", line 106, in get_all_domains
    types=get_all_types()
  File "/usr/share/system-config-selinux/polgen.py", line 80, in get_all_types
    all_types = map(lambda x: x['name'], setools.seinfo(setools.TYPE))
  File "/usr/lib64/python2.7/site-packages/setools/__init__.py", line 49, in seinfo
    dict_list = _seinfo.seinfo(setype, name)
RuntimeError: Success
[floki@F17tc3l ~]$ 


Expected results:
working SElinux Management

Additional info:
Comment 1 Miroslav Grepl 2012-08-27 05:43:26 EDT
Are you fully updated to F18? 

What does

# uname -ra
Comment 2 Flóki Pálsson 2012-08-27 19:45:20 EDT
>Are you fully updated to F18? 
yes.
Now I do not have working gnome-shell ( bug 851849 )

>What does

># uname -ra
Linux F17tc3l 3.3.4-5.fc17.x86_64 #1 SMP Mon May 7 17:29:34 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

I can not boot newer kernel.
Comment 3 Miroslav Grepl 2012-08-28 01:56:36 EDT
Yes, this is a problem which will go away with F18 kernel. 

Basically if you have a problem on F18 then you could try to downgrade things like gnome-shell, gdm. Then you could get working gnome-shell. Also you could try to use older F18 kernel.

Note You need to log in before you can comment on or make changes to this bug.